package net.sf.jasperreports.crosstabs.base;

import net.sf.jasperreports.crosstabs.JRCrosstabGroup;
import net.sf.jasperreports.crosstabs.JRCrosstabRowGroup;
import net.sf.jasperreports.engine.base.JRBaseObjectFactory;

public class JRBaseCrosstabRowGroup extends JRBaseCrosstabGroup implements JRCrosstabRowGroup {
  private static final long serialVersionUID = 10200L;
  
  protected int width;
  
  protected byte position = 1;
  
  public JRBaseCrosstabRowGroup(JRCrosstabRowGroup group, JRBaseObjectFactory factory) {
    super((JRCrosstabGroup)group, factory);
    this.width = group.getWidth();
    this.position = group.getPosition();
  }
  
  public byte getPosition() {
    return this.position;
  }
  
  public int getWidth() {
    return this.width;
  }
}
